# Function ngMessagesIncludeDirective

- ngMessagesIncludeDirective(
  $templateRequest: any,
  $compile: any,
  ): {
  require: string;
  restrict: string;
  link($scope: any, element: any, attrs: any): void;
  }

  #### Parameters

  - $templateRequest: any
  - $compile: any

  #### Returns {
  require: string;
  restrict: string;
  link($scope: any, element: any, attrs: any): void;
  }

  - Defined in src/directive/messages/messages.js:216

##### Index

### Properties

$inject

## Properties

### $inject

$inject: string[]

- Defined in src/directive/messages/messages.js:215